Skip to main content
PUT
/
v1
/
contacts
/
{id}
Atualizar contato
curl --request PUT \
  --url https://api.timelyai.com.br/v1/contacts/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "customer_name": "<string>",
  "customer_phone": "<string>",
  "customer_email": "jsmith@example.com",
  "customer_company": "<string>",
  "customer_position": "<string>",
  "tags": [
    "<string>"
  ],
  "notes": "<string>",
  "source": "<string>",
  "status": "active",
  "metadata": {}
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "customer_name": "João Silva",
    "customer_phone": "+5547999999999",
    "customer_email": "joao@empresa.com",
    "customer_company": "<string>",
    "customer_position": "<string>",
    "tags": [
      "<string>"
    ],
    "notes": "<string>",
    "source": "<string>",
    "status": "active",
    "metadata": {},
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-api-key
string
header
required

Chave de API para autenticação. Obtenha sua chave em https://app.timelyai.com.br/developers

Path Parameters

id
string<uuid>
required

ID único do recurso (UUID)

Body

application/json
customer_name
string

Nome do contato

Required string length: 1 - 255
customer_phone
string

Telefone do contato

Maximum string length: 50
customer_email
string<email>

Email do contato

Maximum string length: 255
customer_company
string

Empresa do contato

Maximum string length: 255
customer_position
string

Cargo do contato

Maximum string length: 255
tags
string[]

Tags do contato

notes
string

Observações sobre o contato

source
string

Origem do contato

Maximum string length: 100
status
enum<string>

Status do contato

Available options:
active,
inactive,
blocked
metadata
object

Dados adicionais em formato livre

Response

Contato atualizado

data
object